<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scicos
 * 
 * Copyright (C) INRIA - METALAU Project <scicos@inria.fr> (HTML version)
 * Copyright (C) DIGITEO - Scilab Consortium (XML Docbook version)
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * See the file ./license.txt
 -->
<refentry version="5.0-subset Scilab" xml:id="EXTRACT"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns4="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <refnamediv>
    <refname>EXTRACT</refname>

    <refpurpose>Matrix Extractor</refpurpose>
  </refnamediv>

  <refsection>
    <title>Block Screenshot</title>

    <para><inlinemediaobject>
        <imageobject>
          <imagedata align="center"
                     fileref="../../../../images/palettes/EXTRACT.jpg"
                     valign="middle"></imagedata>
        </imageobject>
      </inlinemediaobject></para>
  </refsection>

  <refsection id="Contents_EXTRACT">
    <title>Contents</title>

    <itemizedlist>
      <listitem>
        <para>
          <link linkend="EXTRACT">Matrix Extractor</link>
        </para>
      </listitem>

      <listitem>
        <itemizedlist>
          <listitem>
            <para>
              <xref linkend="Palette_EXTRACT">Palette</xref>
            </para>
          </listitem>

          <listitem>
            <para>
              <xref linkend="Description_EXTRACT">Description</xref>
            </para>
          </listitem>

          <listitem>
            <para>
              <xref linkend="Dialogbox_EXTRACT">Dialog box</xref>
            </para>
          </listitem>

          <listitem>
            <para>
              <link linkend="EXTRACT">Example</link>
            </para>
          </listitem>

          <listitem>
            <para>
              <xref linkend="Defaultproperties_EXTRACT">Default
              properties</xref>
            </para>
          </listitem>

          <listitem>
            <para>
              <xref linkend="Interfacingfunction_EXTRACT">Interfacing
              function</xref>
            </para>
          </listitem>

          <listitem>
            <para>
              <xref linkend="Computationalfunction_EXTRACT">Computational
              function</xref>
            </para>
          </listitem>

          <listitem>
            <para>
              <xref linkend="Seealso_EXTRACT">See also</xref>
            </para>
          </listitem>

          <listitem>
            <para>
              <xref linkend="Authors_EXTRACT">Authors</xref>
            </para>
          </listitem>
        </itemizedlist>
      </listitem>
    </itemizedlist>
  </refsection>

  <refsection id="Palette_EXTRACT">
    <title>Palette</title>

    <itemizedlist>
      <listitem>
        <para>
          <link linkend="Matrix_pal">Matrix operation palette</link>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>

  <refsection id="Description_EXTRACT">
    <title>Description</title>

    <para>The EXTRACT block extracts some elements from the matrix. The size
    of the output depends on the number of rows and number of columns to
    extract.</para>

    <para />
  </refsection>

  <refsection id="Dialogbox_EXTRACT">
    <title>Dialog box</title>

    <para>
      <inlinemediaobject>
        <imageobject>
          <imagedata align="center"
                     fileref="../../../../images/gui/EXTRACT_gui.gif"
                     valign="middle" />
        </imageobject>
      </inlinemediaobject>
    </para>

    <para />

    <itemizedlist>
      <listitem>
        <para>
          <emphasis role="bold">Datatype (1=real double 2=Complex)</emphasis>
        </para>

        <para>It indicates the type of the output. It support only the two
        types double (1) and complex (2). If we input another entry in this
        label xcos will print the message "Datatype is not
        supported".</para>

        <para>Properties : Type 'vec' of size 1.</para>
      </listitem>

      <listitem>
        <para>
          <emphasis role="bold">Lines to extract</emphasis>
        </para>

        <para>It indicates the numbers of the lines to extract.</para>

        <para>Properties : Type 'mat' of size [1,-1].</para>
      </listitem>

      <listitem>
        <para>
          <emphasis role="bold">Columns to extract</emphasis>
        </para>

        <para>It indicates the numbers of the columns to extract.</para>

        <para>Properties : Type 'mat' of size [1,-1].</para>
      </listitem>
    </itemizedlist>
  </refsection>

  <refsection id="Example_EXTRACT">
    <title>Example</title>

    <programlisting role="example"> 
A=[1 2 3;4 5 6;7 8 9]
If the "Lines to extract" is 1 and 2 and the "Column to extract" is 1 and 3 then the output is
B=[1 3;4 6]
 </programlisting>
  </refsection>

  <refsection id="Defaultproperties_EXTRACT">
    <title>Default properties</title>

    <itemizedlist>
      <listitem>
        <para><emphasis role="bold">always active:</emphasis> no</para>
      </listitem>

      <listitem>
        <para><emphasis role="bold">direct-feedthrough:</emphasis> yes</para>
      </listitem>

      <listitem>
        <para><emphasis role="bold">zero-crossing:</emphasis> no</para>
      </listitem>

      <listitem>
        <para><emphasis role="bold">mode:</emphasis> no</para>
      </listitem>

      <listitem>
        <para>
          <emphasis role="bold">regular inputs:</emphasis>
        </para>

        <para>
          <emphasis role="bold">- port 1 : size [-1,-2] / type 1</emphasis>
        </para>
      </listitem>

      <listitem>
        <para>
          <emphasis role="bold">regular outputs:</emphasis>
        </para>

        <para>
          <emphasis role="bold">- port 1 : size [1,1] / type 1</emphasis>
        </para>
      </listitem>

      <listitem>
        <para><emphasis role="bold">number/sizes of activation
        inputs:</emphasis> 0</para>
      </listitem>

      <listitem>
        <para><emphasis role="bold">number/sizes of activation
        outputs:</emphasis> 0</para>
      </listitem>

      <listitem>
        <para><emphasis role="bold">continuous-time state:</emphasis>
        no</para>
      </listitem>

      <listitem>
        <para><emphasis role="bold">discrete-time state:</emphasis> no</para>
      </listitem>

      <listitem>
        <para><emphasis role="bold">object discrete-time state:</emphasis>
        no</para>
      </listitem>

      <listitem>
        <para>
          <emphasis role="bold">name of computational function:</emphasis>

          <emphasis role="italic">extract</emphasis>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>

  <refsection id="Interfacingfunction_EXTRACT">
    <title>Interfacing function</title>

    <itemizedlist>
      <listitem>
        <para>SCI/modules/scicos_blocks/macros/MatrixOp/EXTRACT.sci</para>
      </listitem>
    </itemizedlist>
  </refsection>

  <refsection id="Computationalfunction_EXTRACT">
    <title>Computational function</title>

    <itemizedlist>
      <listitem>
        <para>SCI/modules/scicos_blocks/src/c/extract.c</para>
      </listitem>

      <listitem>
        <para>SCI/modules/scicos_blocks/src/c/extractz.c</para>
      </listitem>
    </itemizedlist>
  </refsection>

  <refsection id="Seealso_EXTRACT">
    <title>See also</title>

    <itemizedlist>
      <listitem>
        <para>
          <link linkend="EXTTRI">EXTTRI - EXTTRI: Triangular or Diagonal
          extraction (xcos Block)</link>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>

  <refsection id="Authors_EXTRACT">
    <title>Authors</title>

    <para><emphasis role="bold">Fady NASSIF</emphasis> - INRIA</para>
  </refsection>
</refentry>
